<?php
/*Skrypt pochodzi z książki "PHP. 101 praktycznych skryptów"
  autor: Marcin Lis                    http://marcinlis.com*/

$count = 11;
$imagesDir = "images";

if(isset($_GET['id'])){
  $id = $_GET['id'];
  if($id < 1) $id = 1;
  if($id > $count) $id = $count;
}
else{
  $id = 1;
}
if(file_exists("$imagesDir/obraz$id.jpg")){
  $name = "obraz$id.jpg";
}
else{
  $name = "";
}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN"
"http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2">
<title>Galeria obrazów</title>
</head>
<body>
<table width="100%">
<tr>
  <td align="center">
    <?php echo("<img src=\"$imagesDir/$name\" alt=\"$name\">"); ?>
  </td>
</tr>
<tr>
  <td align="center">

  <?php
  if($id > 1){
    $link = "<a href=\"galeria.php?id=";
    $link .= ($id - 1);
    $link .= "\">Poprzedni</a>";
    echo($link." ");
  }
  if($id < $count){
    $link = "<a href=\"galeria.php?id=";
    $link .= ($id + 1);
   $link .= "\">Następny</a>";
   echo($link);
  }
  ?>

  </td>
</tr>
</table>
</body>
</html>
